SuperLU 6.0.0

Macros
slu_Cnames.h File Reference

Macros defining how C routines will be called. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | ADD_ 0
#define | ADD__ 1
#define | NOCHANGE 2
#define | UPCASE 3
#define | OLD_CRAY 4
#define | C_CALL 5
#define | F77_CALL_C ADD_

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 2.0) --
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 1, 1997

    These macros define how C routines will be called.  ADD_ assumes that
    they will be called by fortran, which expects C routines to have an
    underscore postfixed to the name (Suns, and the Intel expect this).
    NOCHANGE indicates that fortran will be calling, and that it expects
    the name called by fortran to be identical to that compiled by the C
    (RS6K's do this).  UPCASE says it expects C routines called by fortran
    to be in all upcase (CRAY wants this).

## Macro Definition Documentation

## ◆ ADD_

#define ADD_ 0

## ◆ ADD__

#define ADD__ 1

## ◆ C_CALL

#define C_CALL 5

## ◆ F77_CALL_C

#define F77_CALL_C ADD_

## ◆ NOCHANGE

#define NOCHANGE 2

## ◆ OLD_CRAY

#define OLD_CRAY 4

## ◆ UPCASE

#define UPCASE 3